# PuzzleController.ClearPender (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.client
Interface PuzzleController.ClearPender

Enclosing class:
  PuzzleController

    public static interface PuzzleController.ClearPender

Used by `PuzzleController.fireWhenActionCleared(com.threerings.puzzle.client.PuzzleController.ClearPender)`.

Field Summary
`static int` `CARE_NOT` `actionCleared()` return code.
`static int` `NO_RESTART_ACTION` `actionCleared()` return code.
`static int` `RESTART_ACTION` `actionCleared()` return code.

Method Summary
`int` `actionCleared()` Called when the action is fully cleared.

Field Detail

### RESTART_ACTION

    static final int RESTART_ACTION

  `actionCleared()` return code.

  See Also:
    Constant Field Values

### CARE_NOT

    static final int CARE_NOT

  `actionCleared()` return code.

  See Also:
    Constant Field Values

### NO_RESTART_ACTION

    static final int NO_RESTART_ACTION

  `actionCleared()` return code.

  See Also:
    Constant Field Values

Method Detail

### actionCleared

    int actionCleared()

  Called when the action is fully cleared.

  Returns:
    One of `RESTART_ACTION`, `CARE_NOT` or `NO_RESTART_ACTION`.

Copyright © 2011. All Rights Reserved.